HedgeEm API
Tables

Place Bet

POST
/api/tables/{tableId}/bet

Authorization

bearerAuth
AuthorizationBearer <token>

Supabase Auth JWT. Obtain via Supabase Auth sign-in.

In: header

Path Parameters

tableId*integer

Unique numeric table identifier

Range1 <= value

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://hedgeem-v5.qeetoto.com/api/tables/1/bet" \  -H "Content-Type: application/json" \  -d '{    "playerId": "abc123",    "seatIndex": 0,    "handIndex": 1,    "betAmount": 25  }'

{
  "acknowledgement": "ACK",
  "message": "Bet placed successfully.",
  "updatedSeatBalance": 475
}

{
  "error": "betAmount must be a positive number."
}
{
  "error": "Missing or invalid Authorization header."
}